# gcu::DimensionalValue Class Reference

`#include <gcu/value.h>`

Inheritance diagram for gcu::DimensionalValue:

List of all members.

## Public Member Functions
| DimensionalValue ()
virtual | ~DimensionalValue ()
char const * | GetAsString () const
double | GetAsDouble () const
GcuDimensionalValue const | GetValue ()

## Detailed Description

Used for data with a dimension e.g. a time interval expressed in days.

Definition at line 99 of file value.h.

## Constructor & Destructor Documentation

gcu::DimensionalValue::DimensionalValue | ( |  | ) |

Default constructor

virtual gcu::DimensionalValue::~DimensionalValue | ( |  | ) | `[virtual]`

Default destructor

## Member Function Documentation

char const* gcu::DimensionalValue::GetAsString | ( |  | ) | const`[virtual]`

Returns:
  the literal representation of the embedded dimensional data

Reimplemented from gcu::Value.

double gcu::DimensionalValue::GetAsDouble | ( |  | ) | const`[virtual]`

Returns:
  the embedded value. Note that the unit is lost.

Reimplemented from gcu::Value.

GcuDimensionalValue const gcu::DimensionalValue::GetValue | ( |  | ) | `[inline]`

Returns:
  the embedded GcuDimensionalValue structure.

Definition at line 124 of file value.h.

The documentation for this class was generated from the following file:

- value.h